Arch Panel/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Das Paneel-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:")
(Updating to match new version of source page)
Line 11: Line 11:
</div>
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Arch Panel|Name/de=Arch Paneel
|Name=Arch Panel|Name/de=Arch Paneel
Line 19: Line 20:
|Version=0.15
|Version=0.15
}}
}}
</div>


==Beschreibung==
==Beschreibung==
Line 28: Line 30:
''The above image shows a series of panel objects, simply made from imported 2D contours from a DXF file. They can then be rotated and assembled to create structures.''
''The above image shows a series of panel objects, simply made from imported 2D contours from a DXF file. They can then be rotated and assembled to create structures.''


<div class="mw-translate-fuzzy">
Seit Version 0.17 kann Arch Panel auch zur Erstellung von gewellten oder trapezförmigen Profilen verwendet werden.
Seit Version 0.17 kann Arch Panel auch zur Erstellung von gewellten oder trapezförmigen Profilen verwendet werden.
</div>


[[Image:Arch panel wave.jpg|700px]]
[[Image:Arch panel wave.jpg|700px]]



==Anwendung==
==Anwendung==

Revision as of 18:30, 1 February 2020

Arch Paneel

Menüeintrag
Arch → Panel Tools → Panel
Arbeitsbereich
Arch
Standardtastenkürzel
P A
Eingeführt in Version
0.15
Siehe auch
Arch Panel Cut, Arch Panel Sheet

Beschreibung

This tool allows you to build all kinds of panel-like elements, typically for panel constructions like the WikiHouse project, but also for all kinds of objects that are based on a flat profile.

The above image shows a series of panel objects, simply made from imported 2D contours from a DXF file. They can then be rotated and assembled to create structures.

Seit Version 0.17 kann Arch Panel auch zur Erstellung von gewellten oder trapezförmigen Profilen verwendet werden.

Anwendung

  1. Wählen Sie eine 2D-Form (Draft-Objekt, Fläche oder Skizze) (optional)
  2. Drücken Sie den Struktur-Knopf oder die Tasten P und A
  3. Passen Sie die Eigenschaften des Objektes Ihren Erfordernissen an.

Einschränkungen

  • There is currently no automatic system to produce 2D cutting sheets from panel objects, but such feature is in the plans and will be added in the future.

Optionen

  • Panels share the common properties and behaviours of all Arch Components.
  • The thickness of a panel can be adjusted after creation.
  • Press Esc or the Cancel button to abort the current command.
  • Double-clicking on the panel in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions.
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property.
  • Panels can make use of Multi-Materials. When using a multi-material, the panel will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Panel's own Thickness value, after subtracting the other layers.

Properties

  • DatenLength: The length of the panel
  • DatenWidth: The width of the panel
  • DatenThickness: The thickness of the panel
  • DatenArea: The area of the panel (automatic)
  • DatenSheets: The number of sheets of material the panel is made of
  • DatenWave Length: The length of the wave for corrugated panels
  • DatenWave Height: The height of the wave for corrugated panels
  • DatenWave Type: The type of the wave for corrugated panels, curved, trapezoidal or spiked
  • DatenWave Direction: The orientation of the waves for corrugated panels
  • DatenBottom Wave: If the bottom wave of the panel is flat or not

Scripting

See also: Arch API and FreeCAD Scripting Basics.

Das Paneel-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Panel = makePanel(baseobj=None, length=0, width=0, thickness=0, placement=None, name="Panel")
  • Creates a Panel object from the given baseobj, which is a closed profile, and the given extrusion thickness.
    • If no baseobj is given, you can provide the numerical values for the length, width, and thickness to create a block panel.
  • If a placement is given, it is used.

Beispiel:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(1000, 400)
Panel = Arch.makePanel(Rect, thickness=36)

Übungen